import express from "express"
import 'express-async-errors'
import bodyParser from "body-parser";
import swap from "./script/zksync2/swap.js";
import swapUsdcForEth from  "./script/zksync2/swapUsdcForEth.js"

const app = express();
app.use(bodyParser.json());
app.use("/zk-mute-swap-eth-usdc", swap)
app.use("/zk-mute-swap-usdc-eth",swapUsdcForEth)

app.use((err, req, res, next) => {
    // 处理错误逻辑
    console.error(err); // 输出错误信息到控制台

    // 发送适当的错误响应给客户端
    res.status(200).json({
        code: 1,
        msg: err.message,
        data: null
    });
});

// 捕获未捕获的异常并处理
// process.on('uncaughtException', (err) => {
//     console.error('Uncaught Exception:', err);
//     // 进行适当的处理，例如记录错误、发送通知等
//
//     // 最后退出进程（可选）
// });
//
// process.on('unhandledRejection', (reason, promise) => {
//     console.error('Unhandled Rejection:', reason);
//     // 进行适当的处理，例如记录错误、发送通知等
//
//     // 最后退出进程（可选）
// });

export default app;
